### File

`packages/components/eui-status-badge/eui-status-badge.component.ts`

### Description

A badge component that can display text, numbers, or icons with various states and styles. Supports content truncation, empty states, and icon-only modes.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiSuccess euiInfo euiWarning euiDanger euiAccent euiVariant euiSizeS euiSizeM euiSizeVariant
selector | `div[euiStatusBadge], span[euiStatusBadge], eui-status-badge`

template

    <ng-content />

styleUrl | `./eui-status-badge.scss`

### Index

###### Properties

- role

###### Inputs

- aria-label
- e2eAttr
- euiDottedBadge

###### HostBindings

- attr.role
- class

###### Accessors

- cssClasses

### Inputs

aria-label
Type : `string | null`
Default value : `'status-badge'`

e2eAttr
Type : `string`
Default value : `'eui-status-badge'`

euiDottedBadge
Type : `boolean`
Default value : `false`

### HostBindings

attr.role
Type : `string`
Default value : `'status'`

class
Type : `string`

### Properties

role
Type : `string`
Default value : `'status'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the badge based on its current state Returns : `string`

# results matching ""

# No results matching ""